﻿Imports Presentació.ServeiGR

Public Class Cambrer
    Inherits Persona

    Public _usuari As String
    Public _contrasenya As String
    Public _habilitat As Boolean

    Public Sub New(ByVal idPersona As Long, _
                    ByVal nom As String, _
                    ByVal cognom As String, _
                    ByVal telefon As String, _
                    ByVal correu As String, _
                    ByVal usuari As String, _
                    ByVal contrasenya As String, _
                    ByVal habilitat As Boolean)
        '
        Me._idPersona = idPersona
        Me._nom = nom
        Me._cognom = cognom
        Me._telefon = telefon
        Me._correE = correu
        Me._usuari = usuari
        Me._contrasenya = contrasenya
        Me._habilitat = habilitat
        ''
    End Sub

    Public Function AfegirCambrer() As Boolean
        '
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.AfegirCambrer(Me._nom, _
                                   Me._cognom, _
                                   Me._telefon, _
                                   Me._correE, _
                                   Me._usuari, _
                                   Me._contrasenya, _
                                   Me._habilitat)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
        ''
    End Function

    Public Function UsuariRepetit() As Boolean
        UsuariRepetit = False
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            If connexio.UsuariRepetit(Me._usuari) Then
                UsuariRepetit = True
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
        

    End Function

    Public Function ModificarCambrer() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient

        Try
            Return connexio.ModificarCambrer(Me._idPersona, _
                                      Me._nom, _
                                      Me._cognom, _
                                      Me._telefon, _
                                      Me._correE, _
                                      Me._usuari, _
                                      If(Me._contrasenya <> "", Me._contrasenya, ""), _
                                      Me._habilitat)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try

    End Function

    Public Function EsborrarCambrer() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.EsborrarCambrer(Me._idPersona)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Function

    Public Function EsPotEsborrarCambrer() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.EsPotEsborrarCambrer(Me._idPersona)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Function

End Class
