﻿Imports Presentació.ServeiGR

Public Class Seccio
    Public _idSeccio As Long
    Public _Ordre As Long
    Public _nomCat As String
    Public _nomCas As String
    Public _nomAng As String

    Public Sub New(ByVal idSeccio As Long, ByVal ordre As Long, ByVal nomCat As String, ByVal nomCas As String, ByVal nomAng As String)
        Me._idSeccio = idSeccio
        Me._Ordre = ordre
        Me._nomCat = nomCat
        Me._nomCas = nomCas
        Me._nomAng = nomAng
    End Sub

    Public Function AfegirSeccio() As Boolean
        '
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.AfegirSeccio(Me._nomCat, Me._nomCas, Me._nomAng, Me._Ordre)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
        ''
    End Function

    Public Function EsborrarSeccio() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.EsborrarSeccio(Me._idSeccio)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Function

    Public Function ModificarSeccio() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.ModificarSeccio(Me._idSeccio, _
                                     Me._nomCat, _
                                     Me._nomCas, _
                                     Me._nomAng, _
                                     Me._Ordre)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try

    End Function
End Class
