﻿Public Class FormPlatLlistar

    Private Sub FormPlatLlistar_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        CType(Me.MdiParent, FormInici).LlistarPlatsToolStripMenuItem.Enabled = True
    End Sub

    Private Sub FormPlatLlistar_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.OmplirCombo()
        Me.OmplirGrid()
    End Sub

    Private Sub OmplirCombo()
        Dim connexio As New ServeiGR.ServeiClient
        Try
            '
            Me.cboSeccions.DisplayMember = "nomCat"
            Me.cboSeccions.ValueMember = "idSeccio"
            Me.cboSeccions.DataSource = connexio.LlistaSeccions("cbo")
            '
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Sub

    Private Sub cboSeccions_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboSeccions.SelectedIndexChanged
        ' En canviar, cal omplir el combo
        Me.OmplirGrid()
    End Sub

    Private Sub OmplirGrid()
        Dim connexio As New ServeiGR.ServeiClient
        Try
            Me.grdPlats.AutoGenerateColumns = False
            Me.grdPlats.Columns.Clear()
            ' Configurem el grid
            Me.grdPlats.Columns.Add("Id. Plat", "Id. Plat")
            Me.grdPlats.Columns.Add("Nom del plat", "Nom del plat")
            ' Posem les mides de les columnes
            Me.grdPlats.Columns("Id. Plat").Width = 100
            Me.grdPlats.Columns("Nom del plat").Width = 385
            '
            Me.grdPlats.Columns("Id. Plat").DataPropertyName = "idPlat"
            Me.grdPlats.Columns("Nom del plat").DataPropertyName = "nomCat"
            '
            Me.grdPlats.DataSource = connexio.LlistarPlats(Me.cboSeccions.SelectedValue)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Sub

    Private Sub grdPlats_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles grdPlats.DoubleClick
        ' Al doble clic, obrir el formulari del plat
        Dim idPlat As Long
        idPlat = Me.grdPlats.Rows(Me.grdPlats.CurrentRow.Index).Cells("Id. Plat").Value
        ' Tancar formulari actiu
        If Not Me.ActiveMdiChild Is Nothing Then
            Me.ActiveMdiChild.Close()
        End If
        ' Habilitar i deshabilitar el menú
        CType(Me.MdiParent, FormInici).AltaPlatToolStripMenuItem.Enabled = False
        CType(Me.MdiParent, FormInici).LlistarPlatsToolStripMenuItem.Enabled = True
        ' Obrir el formulari que toca
        Dim oForm As New FormPlatAlta(idPlat)
        oForm.MdiParent = Me.MdiParent
        oForm.Show()
        oForm.Left = 0
        oForm.Top = 0
        ''
    End Sub

End Class