﻿Imports GRLlibreriaClasses

Public Class ComandaGR
    ' Creem la conexiò
    Dim connexio As New GRDataClassesDataContext

    Public Function AfegirComanda(ByVal lNumComensals As Long, _
                                  ByVal lIdCambrer As Long, _
                                  ByVal lIdTaula As Long, _
                                  ByVal plats As List(Of PlatComandaGR)) As Boolean
        AfegirComanda = False
        Try
            ' Per la comanda
            Dim c As New Comanda
            c.numComensals = lNumComensals
            c.idCambrer = lIdCambrer
            c.idTaula = lIdTaula
            c.data = Date.Now
            connexio.Comanda.InsertOnSubmit(c)
            connexio.SubmitChanges()

            ' Plats:
            ' Inserim els plats
            For Each p In plats
                Dim pc As New PlatComanda
                pc.idComanda = c.idComanda
                pc.idPlat = p._idPlat
                pc.qtt = p._qtt
                connexio.PlatComanda.InsertOnSubmit(pc)
                pc = Nothing
            Next
            connexio.SubmitChanges()
            AfegirComanda = True
            '
            '
        Catch ex As Exception
            AfegirComanda = False
            MsgBox(ex.Message)
        End Try

    End Function

End Class
