﻿Imports GRLlibreriaClasses

Public Class SeccioGR
    ' Creem la conexiò
    Dim connexio As New GRDataClassesDataContext

    Public Function AfegirSeccio(ByVal sNomCat As String, _
                      ByVal sNomCas As String, _
                      ByVal sNomAng As String, _
                      ByVal lOrdre As Long) As Boolean
        AfegirSeccio = False
        '
        Try
            Dim s As New Seccio
            s.nomCat = sNomCat
            s.nomCas = sNomCas
            s.nomAng = sNomAng
            s.ordre = lOrdre
            '
            connexio.Seccio.InsertOnSubmit(s)
            connexio.SubmitChanges()
            '
            AfegirSeccio = True
            '
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Function

    Public Function LlistarSeccions(ByVal tipusLlista As String) As List(Of SeccioNET)
        Try
            Select Case tipusLlista
                Case "grd"
                    Return (From c In connexio.Seccio Order By c.ordre, c.idSeccio Select New SeccioNET(c.idSeccio, c.ordre, c.nomCat, c.nomCas, c.nomAng)).ToList
                Case "cbo"
                    Return (From c In connexio.Seccio Order By c.ordre, c.idSeccio Select New SeccioNET(c.idSeccio, c.nomCat)).ToList
                Case Else
                    Return (From c In connexio.Seccio Order By c.ordre, c.idSeccio Select New SeccioNET(c.idSeccio, c.ordre, c.nomCat, c.nomCas, c.nomAng)).ToList
            End Select
        Catch ex As Exception
            MsgBox(ex.Message)
            Return New List(Of SeccioNET)
        End Try

    End Function

    Public Function ConsultarSeccio(ByVal idSeccio As Long) As SeccioNET
        Try
            Dim secc = (From c In connexio.Seccio Where c.idSeccio.Equals(idSeccio) _
                        Select New SeccioNET(c.idSeccio, c.ordre, c.nomCat, c.nomCas, c.nomAng))
            Return secc.First
        Catch ex As Exception
            MsgBox(ex.Message)
            Return Nothing
        End Try
    End Function

    Public Function EsborrarSeccio(ByVal idSeccio As Long) As Boolean
        EsborrarSeccio = False
        '
        Try
            Dim secc = From c In connexio.Seccio _
                       Where c.idSeccio.Equals(idSeccio) _
                       Select c
            '
            connexio.Seccio.DeleteOnSubmit(secc.First)
            connexio.SubmitChanges()
            EsborrarSeccio = True

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Function

    Public Function ModificarSeccio(ByVal lIdSeccio As Long, _
                                ByVal sNomCat As String, _
                                ByVal sNomCas As String, _
                                ByVal sNomAng As String, _
                                ByVal lOrdre As Long) As Boolean
        ModificarSeccio = False
        Try
            ' Buscar la secció vella
            Dim antigaSeccio = (From c In connexio.Seccio _
                                Where c.idSeccio.Equals(lIdSeccio) _
                                Select c).First
            ' Modificar les noves dades

            antigaSeccio.nomCat = sNomCat
            antigaSeccio.nomCas = sNomCas
            antigaSeccio.nomAng = sNomAng
            antigaSeccio.ordre = lOrdre
            ' 
            connexio.SubmitChanges()
            '
            ModificarSeccio = True

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try


    End Function

End Class
