﻿Imports System
Imports System.Data
Imports System.Configuration
Imports System.Globalization
Imports System.Threading
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls

Public Class PaginaBasica
    Inherits Page

    Protected Overrides Sub InitializeCulture()
        ' Recuperem la llengua de la sessió
        Dim llengua As String = Convert.ToString(Session("llengua"))
        ' Verifiquem que n'hi hagi alguna d'emmagatzemada
        If (llengua.Length > 0) Then
            llengua = llengua
        End If
        ' La posem al Thread actual
        Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(llengua)
        Thread.CurrentThread.CurrentUICulture = New CultureInfo(llengua)
        ' Crida a la classe base
        MyBase.InitializeCulture()
    End Sub
End Class