﻿Imports GRNegoci

Partial Public Class Formulario_web16
    Inherits PaginaBasica

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub

    Protected Sub btnContacteEnviar_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnContacteEnviar.Click
        If Me.txtRegistreNom.Text = "" Or _
            Me.txtRegistreCorreuE.Text = "" Or _
            Me.cmbRegistreConegut.SelectedValue = "" Then
            Exit Sub
        End If
        '
        If Not Me.EsMail(Me.txtRegistreCorreuE.Text) Then
            Exit Sub
        End If
        '
        Dim UsrRegGR As New RegistratGR
        Dim llengua As String = ""
        Select Case Convert.ToString(Session("llengua"))
            Case "ca-ES"
                llengua = "CAT"
            Case "es-ES"
                llengua = "CAS"
            Case "en-GB"
                llengua = "ANG"
            Case Else
                llengua = "CAT"
        End Select
        '
        Try
            UsrRegGR.AfegirRegistrat(Me.txtRegistreNom.Text, _
                                 Me.txtRegistreCognom.Text, _
                                 Me.txtRegistreTelefon.Text, _
                                 Me.txtRegistreCorreuE.Text, _
                                 Date.Now.ToString, _
                                 Me.cmbRegistreConegut.SelectedValue, _
                                 llengua)
            ' Posar en un label que s'ha enviat correctament
            Me.lblResultat.Visible = True
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            Me.NetejarFormulari()
        End Try
        ''
    End Sub

    Private Sub NetejarFormulari()
        Me.txtRegistreNom.Text = ""
        Me.txtRegistreCognom.Text = ""
        Me.txtRegistreTelefon.Text = ""
        Me.txtRegistreCorreuE.Text = ""
        Me.cmbRegistreConegut.SelectedIndex() = 0
    End Sub

    Private Function EsMail(ByVal sMail As String) As Boolean
        ' retorna true o false   
        Return Regex.IsMatch(sMail, "^([\w-]+\.)*?[\w-]+@[\w-]+\.([\w-]+\.)*?[\w]+$")
    End Function

End Class