﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Data.Linq
Imports System.Data.Linq.Mapping
Imports GRLlibreriaClasses
Imports GRNegoci

' NOTA: si cambia aquí el nombre de clase "Service1", también debe actualizar la referencia a "Service1" tanto en Web.config como en el archivo .svc asociado.
Public Class Service1
    Implements IServei

    Public Sub New()
    End Sub

#Region "Mètodes cambrer"
    ' -----------------------------------------------------------------------------------------------
    ' Mètodes Cambrer
    ' -----------------------------------------------------------------------------------------------
    Public Function AfegirCambrer(ByVal sNom As String, _
                      ByVal sCognom As String, _
                      ByVal sTelefon As String, _
                      ByVal sCorreuE As String, _
                      ByVal sUsuari As String, _
                      ByVal sContrasenya As String, _
                      ByVal bHabilitat As Boolean) As Boolean Implements IServei.AfegirCambrer
        Dim CambGR As New CambrerGR
        Return CambGR.AfegirCambrer(sNom, sCognom, sTelefon, sCorreuE, sUsuari, sContrasenya, bHabilitat)
    End Function

    Public Function ConsultarCambrer(ByVal idPersona As Long) As CambrerNET Implements IServei.ConsultarCambrer
        Dim cambGR As New CambrerGR
        Return cambGR.ConsultarCambrer(idPersona)
    End Function

    Public Function EsborrarCambrer(ByVal idPersona As Long) As Boolean Implements IServei.EsborrarCambrer
        Dim cambGR As New CambrerGR
        Return cambGR.EsborrarCambrer(idPersona)

    End Function

    Public Function ModificarCambrer(ByVal lIdPersona As Long, _
                  ByVal sNom As String, _
                  ByVal sCognom As String, _
                  ByVal sTelefon As String, _
                  ByVal sCorreuE As String, _
                  ByVal sUsuari As String, _
                  ByVal sContrasenya As String, _
                  ByVal bHabilitat As Boolean) As Boolean Implements IServei.ModificarCambrer
        Dim cambGR As New CambrerGR
        Return cambGR.ModificarCambrer(lIdPersona, sNom, sCognom, sTelefon, sCorreuE, sUsuari, sContrasenya, bHabilitat)
    End Function

    Public Function UsuariRepetit(ByVal sUsuari As String) As Boolean Implements IServei.UsuariRepetit
        Dim CambGr As New CambrerGR
        If CambGr.UsuariRepetit(sUsuari) Then
            UsuariRepetit = True
        Else
            UsuariRepetit = False
        End If
    End Function

    Public Function LlistaCambrers() As List(Of CambrerNET) Implements IServei.LlistaCambrers
        Dim CambGr As New CambrerGR
        Return CambGr.LlistarCambrers()
    End Function

    Public Function EsPotEsborrarCambrer(ByVal idPersona As Long) As Boolean Implements IServei.EsPotEsborrarCambrer
        Dim cambGR As New CambrerGR
        Return cambGR.EsPotEsborrarCambrer(idPersona)

    End Function

#End Region

#Region "Mètodes Registrat"
    ' -----------------------------------------------------------------------------------------------
    ' Mètodes Registrat
    ' -----------------------------------------------------------------------------------------------
#End Region

#Region "Mètodes Secció"

    ' -----------------------------------------------------------------------------------------------
    ' Mètodes Secció
    ' -----------------------------------------------------------------------------------------------
    Public Function AfegirSeccio(ByVal sNomCat As String, _
                      ByVal sNomCas As String, _
                      ByVal sNomAng As String, _
                      ByVal lOrdre As Long) As Boolean Implements IServei.AfegirSeccio
        Dim SecGR As New SeccioGR
        Return SecGR.AfegirSeccio(sNomCat, sNomCas, sNomAng, lOrdre)

    End Function

    Public Function LlistaSeccions(ByVal tipusLlista As String) As List(Of SeccioNET) Implements IServei.LlistaSeccions
        Dim SeccGR As New SeccioGR
        Return SeccGR.LlistarSeccions(tipusLlista)
    End Function

    Public Function ConsultarSeccio(ByVal idSeccio As Long) As SeccioNET Implements IServei.ConsultarSeccio
        Dim seccGR As New SeccioGR
        Return seccGR.ConsultarSeccio(idSeccio)
    End Function

    Public Function EsborrarSeccio(ByVal idSeccio As Long) As Boolean Implements IServei.EsborrarSeccio
        Dim seccGR As New SeccioGR
        Return seccGR.EsborrarSeccio(idSeccio)
    End Function

    Public Function ModificarSeccio(ByVal idSeccio As Long, _
              ByVal sNomCat As String, _
              ByVal sNomCas As String, _
              ByVal sNomAng As String, _
              ByVal lOrdre As Long) As Boolean Implements IServei.ModificarSeccio
        Dim seccGR As New SeccioGR
        Return seccGR.ModificarSeccio(idSeccio, sNomCat, sNomCas, sNomAng, lOrdre)
    End Function


#End Region

#Region "Mètodes Carta"
    ' -----------------------------------------------------------------------------------------------
    ' Mètodes Plat
    ' -----------------------------------------------------------------------------------------------
    Public Function AfegirPlat(ByVal sNomCat As String, _
                      ByVal sNomCas As String, _
                      ByVal sNomAng As String, _
                      ByVal lMinPersones As Long, _
                      ByVal dPreu As Double, _
                      ByVal sUrlFoto As String, _
                      ByVal lIdSeccio As Long, _
                      Optional ByVal oFoto() As Byte = Nothing) As Boolean Implements IServei.AfegirPlat
        Dim platGR As New PlatGR
        Return platGR.AfegirPlat(sNomCat, sNomCas, sNomAng, lMinPersones, dPreu, sUrlFoto, lIdSeccio, oFoto)
    End Function

    Public Function LlistarPlats(ByVal idSeccio As Long) As List(Of PlatNET) Implements IServei.LlistarPlats
        Dim platGr As New PlatGR
        Return platGr.LlistarPlats(idSeccio)
    End Function

    Public Function ConsultarPlat(ByVal idPlat As Long) As PlatNET Implements IServei.ConsultarPlat
        Dim platGR As New PlatGR
        Return platGR.ConsultarPlat(idPlat)
    End Function

    Public Function EsborrarPlat(ByVal idPlat As Long) As Boolean Implements IServei.EsborrarPlat
        Dim platGR As New PlatGR
        Return platGR.EsborrarPlat(idPlat)
    End Function

    Public Function ModificarPlat(ByVal lIdPlat As Long, _
                      ByVal sNomCat As String, _
                      ByVal sNomCas As String, _
                      ByVal sNomAng As String, _
                      ByVal lMinPersones As Long, _
                      ByVal dPreu As Double, _
                      ByVal sUrlFoto As String, _
                      ByVal lIdSeccio As Long, _
                      Optional ByVal oFoto() As Byte = Nothing) As Boolean Implements IServei.ModificarPlat
        Dim platGR As New PlatGR
        Return platGR.ModificarPlat(lIdPlat, sNomCat, sNomCas, sNomAng, lMinPersones, dPreu, sUrlFoto, lIdSeccio, oFoto)
    End Function

    Public Function EsPotEsborrarPlat(ByVal idPlat As Long) As Boolean Implements IServei.EsPotEsborrarPlat
        Dim platGR As New PlatGR
        Return platGR.EsPotEsborrarPlat(idPlat)
    End Function

#End Region

#Region "Mètodes Taula"

    ' -----------------------------------------------------------------------------------------------
    ' Mètodes Taula
    ' -----------------------------------------------------------------------------------------------
    Public Function AfegirTaula(ByVal lNumSeients As Long) As Boolean Implements IServei.AfegirTaula
        Dim TauGR As New TaulaGR
        Return TauGR.AfegirTaula(lNumSeients)

    End Function

    Public Function LlistaTaules() As List(Of TaulaNET) Implements IServei.LlistaTaules
        Dim TauGR As New TaulaGR
        Return TauGR.LlistarTaules()
    End Function

    Public Function ConsultarTaula(ByVal idTaula As Long) As TaulaNET Implements IServei.ConsultarTaula
        Dim TauGR As New TaulaGR
        Return TauGR.ConsultarTaula(idTaula)
    End Function

    Public Function EsPotEsborrarTaula(ByVal idTaula As Long) As Boolean Implements IServei.EsPotEsborrarTaula
        Dim TauGR As New TaulaGR
        Return TauGR.EsPotEsborrarTaula(idTaula)
    End Function
    Public Function EsborrarTaula(ByVal idTaula As Long) As Boolean Implements IServei.EsborrarTaula
        Dim TauGR As New TaulaGR
        Return TauGR.EsborrarTaula(idTaula)
    End Function

    Public Function ModificarTaula(ByVal idTaula As Long, ByVal lNumSeients As Long) As Boolean Implements IServei.ModificarTaula
        Dim TauGR As New TaulaGR
        Return TauGR.ModificarTaula(idTaula, lNumSeients)
    End Function


#End Region

#Region "Mètodes Menú"

    ' -----------------------------------------------------------------------------------------------
    ' Mètodes Taula
    ' -----------------------------------------------------------------------------------------------
    Public Function ConsultarMenu() As MenuNET Implements IServei.ConsultarMenu
        Dim menGr As New MenuGR
        Return menGr.ConsultarMenu()
    End Function

    Public Function AfegirMenu(ByVal lMinComensals As Long, _
                   ByVal dPreu As Double, _
                   ByVal bIva As Boolean, _
                   ByVal bBeguda As Boolean, _
                   ByVal plats As List(Of PlatNET)) As Boolean Implements IServei.AfegirMenu
        Dim menGr As New MenuGR
        Return menGr.AfegirMenu(lMinComensals, _
                           dPreu, _
                           bIva, _
                           bBeguda, _
                           plats)
    End Function
#End Region

#Region "Mètodes Oferta"
    ' -----------------------------------------------------------------------------------------------
    ' Mètodes oferta
    ' -----------------------------------------------------------------------------------------------
    Public Function AfegirOferta(ByVal sAssumpteCat As String, _
                  ByVal sAssumpteCas As String, _
                  ByVal sAssumpteAng As String, _
                  ByVal dDataOferta As Date, _
                  ByVal dDataCaducitat As Date, _
                  ByVal sContingutCat As String, _
                  ByVal sContingutCas As String, _
                  ByVal sContingutAng As String) As Boolean Implements IServei.AfegirOferta
        Dim ofertGR As New OfertaGR
        Return ofertGR.AfegirOferta(sAssumpteCat, _
                                    sAssumpteCas, _
                                    sAssumpteAng, _
                                    dDataOferta, _
                                    dDataCaducitat, _
                                    sContingutCat, _
                                    sContingutCas, _
                                    sContingutAng)
    End Function

    Public Function LlistarOfertes() As List(Of OfertaNET) Implements IServei.LlistarOfertes
        Dim ofertGr As New OfertaGR
        Return ofertGr.LlistarOfertes()
    End Function

    Public Function ConsultarOferta(ByVal lIdOferta As Long) As OfertaNET Implements IServei.ConsultarOferta
        Dim ofertGR As New OfertaGR
        Return ofertGR.ConsultarOferta(lIdOferta)
    End Function

    Public Function EsborrarOferta(ByVal lIdOferta As Long) As Boolean Implements IServei.EsborrarOferta
        Dim ofertGR As New OfertaGR
        Return ofertGR.EsborrarOferta(lIdOferta)
    End Function

    Public Function ModificarOferta(ByVal lIdOferta As Long, _
                                ByVal sAssumpteCat As String, _
                              ByVal sAssumpteCas As String, _
                              ByVal sAssumpteAng As String, _
                              ByVal dDataOferta As Date, _
                              ByVal dDataCaducitat As Date, _
                              ByVal sContingutCat As String, _
                              ByVal sContingutCas As String, _
                              ByVal sContingutAng As String) As Boolean Implements IServei.ModificarOferta
        Dim ofertGR As New OfertaGR
        Return ofertGR.ModificarOferta(lIdOferta, _
                                       sAssumpteCat, _
                                       sAssumpteCas, _
                                       sAssumpteAng, _
                                       dDataOferta, _
                                       dDataCaducitat, _
                                       sContingutCat, _
                                       sContingutCas, _
                                       sContingutAng)
    End Function

    Public Function LlistaRegistrats() As List(Of RegistratNET) Implements IServei.LlistaRegistrats
        Dim registGr As New RegistratGR
        Return registGr.LlistarRegistrats()
    End Function

    Public Sub InserirEnviament(ByVal dDataEnviament As Date, _
                                ByVal lIdOferta As Long, _
                                ByVal lIdPersona As Long) Implements IServei.InserirEnviament
        Dim EnvGR As New EnviamentGR
        EnvGR.InserirEnviament(dDataEnviament, lIdOferta, lIdPersona)
    End Sub

    Public Function EsPotEsborrarOferta(ByVal lIdOferta As Long) As Boolean Implements IServei.EsPotEsborrarOferta
        Dim ofertGR As New OfertaGR
        Return ofertGR.EsPotEsborrarOferta(lIdOferta)
    End Function

#End Region

#Region "Mètodes de configuració"
    Public Function AfegirConfiguracio(ByVal sFromAdreca As String, _
                                       ByVal sFromNom As String, _
                                       ByVal sSignatura As String, _
                                       ByVal sServer As String, _
                                       ByVal sCredencialsNom As String, _
                                       ByVal sCredencialsPwd As String, _
                                       ByVal sToAdreca As String, _
                                       ByVal lPort As Long) As Boolean Implements IServei.AfegirConfiguracio
        Dim ConfigGR As New ConfiguracioGR
        Return ConfigGR.AfegirConfiguracio(sFromAdreca, sFromNom, sSignatura, sServer, sCredencialsNom, sCredencialsPwd, sToAdreca, lPort)
    End Function

    Public Function ConsultarConfiguracio() As ConfiguracioNET Implements IServei.ConsultarConfiguracio
        Dim ConfigGR As New ConfiguracioGR
        Return ConfigGR.ConsultarConfiguracio()
    End Function

    'Public Function ModificarConfiguracio(ByVal idPersona As Long, _
    '                               ByVal sFromAdreca As String, _
    '                               ByVal sFromNom As String, _
    '                               ByVal sSignatura As String, _
    '                               ByVal sCredencialsNom As String, _
    '                               ByVal sCredencialsPwd As String, _
    '                               ByVal sToAdreca As String) As Boolean Implements IServei.ModificarConfiguracio
    '    Dim ConfigGR As New ConfiguracioGR
    '    Return ConfigGR.ModificarConfiguracio()
    'End Function

#End Region

    Public Sub HelloWorld() Implements IServei.HelloWorld
        MsgBox("Hola")
    End Sub

End Class
