﻿Imports Presentació.ServeiGR

Public Class Oferta
    Public _idOferta As Long
    Public _assumpteCat As String
    Public _assumpteCas As String
    Public _assumpteAng As String
    Public _dataOferta As Date
    Public _dataCaducitat As Date
    Public _contingutCat As String
    Public _contingutCas As String
    Public _contingutAng As String

    Public Sub New(ByVal lIdOferta As Long)
        Me._idOferta = lIdOferta
    End Sub

    Public Sub New(ByVal lIdOferta As Long, _
                                ByVal sAssumpteCat As String, _
                              ByVal sAssumpteCas As String, _
                              ByVal sAssumpteAng As String, _
                              ByVal dDataOferta As Date, _
                              ByVal dDataCaducitat As Date, _
                              ByVal sContingutCat As String, _
                              ByVal sContingutCas As String, _
                              ByVal sContingutAng As String)

        Me._idOferta = lIdOferta
        Me._assumpteCat = sAssumpteCat
        Me._assumpteCas = sAssumpteCas
        Me._assumpteAng = sAssumpteAng
        Me._dataOferta = dDataOferta
        Me._dataCaducitat = dDataCaducitat
        Me._contingutCat = sContingutCat
        Me._contingutCas = sContingutCas
        Me._contingutAng = sContingutAng

    End Sub

    Public Function AfegirOferta() As Boolean
        '
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.AfegirOferta(Me._assumpteCat, _
                                  Me._assumpteCas, _
                                  Me._assumpteAng, _
                                  Me._dataOferta, _
                                  Me._dataCaducitat, _
                                  Me._contingutCat, _
                                  Me._contingutCas, _
                                  Me._contingutAng)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
        ''
    End Function

    Public Function EsborrarOferta() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.EsborrarOferta(Me._idOferta)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Function

    Public Function ModificarOferta() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.ModificarOferta(Me._idOferta, _
                                     Me._assumpteCat, _
                                    Me._assumpteCas, _
                                  Me._assumpteAng, _
                                  Me._dataOferta, _
                                  Me._dataCaducitat, _
                                  Me._contingutCat, _
                                  Me._contingutCas, _
                                  Me._contingutAng)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try

    End Function

    Public Function EsPotEsborrarOferta() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.EsPotEsborrarOferta(Me._idOferta)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Function

End Class
