﻿Imports Presentació.ServeiGR

Public Class Taula
    Public _idTaula As Long
    Public _numSeients As Long

    Public Sub New(ByVal lIdTaula As Long, ByVal lNumSeients As Long)
        Me._idTaula = lIdTaula
        Me._numSeients = lNumSeients
    End Sub

    Public Function AfegirTaula() As Boolean
        '
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.AfegirTaula(Me._numSeients)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
        ''
    End Function

    Public Function EsborrarTaula() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.EsborrarTaula(Me._idTaula)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Function

    Public Function ModificarTaula() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.ModificarTaula(Me._idTaula, Me._numSeients)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try

    End Function

    Public Function EsPotEsborrarTaula() As Boolean
        Dim connexio As ServeiClient = New ServeiGR.ServeiClient
        Try
            Return connexio.EsPotEsborrarTaula(Me._idTaula)
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
    End Function

End Class
