﻿Imports Presentació.ServeiGR

Public Class FormCambrerLlistar

    Private Sub FormCambrerLlistar_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        CType(Me.MdiParent, FormInici).LlistarCambrersToolStripMenuItem.Enabled = True
    End Sub

    Private Sub FormCambrerLlistar_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.OmplirGrid()
    End Sub

    Private Sub OmplirGrid()
        Dim connexio As New ServeiGR.ServeiClient
        Try
            Me.grdCambrers.AutoGenerateColumns = False
            Me.grdCambrers.Columns.Clear()
            ' Configurem el grid
            Me.grdCambrers.Columns.Add("Id. Cambrer", "Id. Cambrer")
            Me.grdCambrers.Columns.Add("Nom", "Nom")
            Me.grdCambrers.Columns.Add("Cognoms", "Cognoms")
            Me.grdCambrers.Columns.Add("Habilitat", "Habilitat")
            ' Posem les mides de les columnes
            Me.grdCambrers.Columns("Id. Cambrer").Width = 100
            Me.grdCambrers.Columns("Nom").Width = 150
            Me.grdCambrers.Columns("Cognoms").Width = 169
            Me.grdCambrers.Columns("Habilitat").Width = 70
            '
            Me.grdCambrers.Columns("Id. Cambrer").DataPropertyName = "idPersona"
            Me.grdCambrers.Columns("Nom").DataPropertyName = "nom"
            Me.grdCambrers.Columns("Cognoms").DataPropertyName = "cognom"
            Me.grdCambrers.Columns("Habilitat").DataPropertyName = "habilitat"
            '
            Me.grdCambrers.DataSource = connexio.LlistaCambrers()
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            connexio.Close()
        End Try
        '
    End Sub


    Private Sub grdCambrers_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles grdCambrers.DoubleClick
        ' Al doble clic, obrir el formulari d'Alta de cambrers
        Dim idCambrer As Long
        idCambrer = Me.grdCambrers.Rows(Me.grdCambrers.CurrentRow.Index).Cells("Id. Cambrer").Value
        ' Tancar formulari actiu
        If Not Me.ActiveMdiChild Is Nothing Then
            Me.ActiveMdiChild.Close()
        End If
        ' Habilitar i deshabilitar el menú
        CType(Me.MdiParent, FormInici).AltaCambrerToolStripMenuItem.Enabled = False
        CType(Me.MdiParent, FormInici).LlistarCambrersToolStripMenuItem.Enabled = True
        ' Obrir el formulari que toca
        Dim oForm As New FormCambrerAlta(idCambrer)
        oForm.MdiParent = Me.MdiParent
        oForm.Show()
        oForm.Left = 0
        oForm.Top = 0
        '
    End Sub

End Class
