﻿Imports GRLlibreriaClasses

Public Class CambrerGR
    Inherits PersonaGR
    ' Creem la connexió
    Dim connexio As New GRDataClassesDataContext

    Public Function AfegirCambrer(ByVal sNom As String, _
                      ByVal sCognom As String, _
                      ByVal sTelefon As String, _
                      ByVal sCorreuE As String, _
                      ByVal sUsuari As String, _
                      ByVal sContrasenya As String, _
                      ByVal bHabilitat As Boolean) As Boolean

        AfegirCambrer = False
        '
        Try
            Dim p As New Cambrer

            p.nom = sNom
            p.cognom = sCognom
            p.telf = sTelefon
            p.correuE = sCorreuE
            p.usuari = sUsuari
            p.contrasenya = sContrasenya
            p.habilitat = bHabilitat
            '
            connexio.Persona.InsertOnSubmit(p)
            connexio.SubmitChanges()
            AfegirCambrer = True
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Function

    Public Function EsborrarCambrer(ByVal idPersona As Long) As Boolean
        Try
            '
            EsborrarCambrer = False
            '
            Dim camb = From c In connexio.Persona Where c.idPersona.Equals(idPersona) Select c
            connexio.Persona.DeleteOnSubmit(camb.First)
            connexio.SubmitChanges()
            EsborrarCambrer = True
            '
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Function

    Public Function ConsultarCambrer(ByVal idPersona As Long) As CambrerNET
        Try
            Dim camb = (From c In connexio.Persona _
                        Where TypeOf c Is Cambrer _
                        And c.idPersona.Equals(idPersona) _
                        Select New CambrerNET(c.idPersona, _
                                              c.nom, _
                                              c.cognom, _
                                              c.telf, _
                                              c.correuE, _
                                              c.usuari, _
                                              c.contrasenya, _
                                              c.habilitat))
            Return camb.First
        Catch ex As Exception
            MsgBox(ex.Message)
            Return Nothing
        End Try
    End Function

    Public Function ModificarCambrer(ByVal lIdPersona As Long, _
                                ByVal sNom As String, _
                                ByVal sCognom As String, _
                                ByVal sTelefon As String, _
                                ByVal sCorreuE As String, _
                                ByVal sUsuari As String, _
                                ByVal sContrasenya As String, _
                                ByVal bHabilitat As Boolean) As Boolean
        Try
            ModificarCambrer = False
            ' Buscar el vell cambrer    
            Dim anticCambrer As Cambrer = (From c In connexio.Persona _
                                           Where TypeOf c Is Cambrer _
                                           And c.idPersona.Equals(lIdPersona) Select c).First
            ' Modificar les noves dades
            anticCambrer.nom = sNom
            anticCambrer.cognom = sCognom
            anticCambrer.telf = sTelefon
            anticCambrer.correuE = sCorreuE
            anticCambrer.usuari = sUsuari
            If sContrasenya <> "" Then
                anticCambrer.contrasenya = sContrasenya
            End If
            anticCambrer.habilitat = bHabilitat
            ' 
            connexio.SubmitChanges()
            '
            ModificarCambrer = True
            '
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try


    End Function

    Public Function UsuariRepetit(ByVal usuari As String) As Boolean
        UsuariRepetit = False
        Try
            Dim idUsuari = From c In connexio.Persona Where (c.usuari = usuari) Select c.idPersona
            If idUsuari.Count > 0 Then
                UsuariRepetit = True
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Function

    Public Function LlistarCambrers() As List(Of CambrerNET)
        Try
            Return (From c In connexio.Persona _
                    Where TypeOf c Is Cambrer _
                    Order By c.cognom _
                     Select New CambrerNET(c.idPersona, _
                                           c.nom, _
                                           c.cognom, _
                                           If(c.habilitat = True, "Sí", "No"))).ToList
        Catch ex As Exception
            MsgBox(ex.Message)
            Return New List(Of CambrerNET)
        End Try

    End Function

    Public Function EsPotEsborrarCambrer(ByVal idPersona As Long) As Boolean
        Try
            '
            EsPotEsborrarCambrer = False
            '
            Dim camb = (From c In connexio.Comanda Where c.idCambrer.Equals(idPersona) Select c).Count
            '
            If camb = 0 Then
                EsPotEsborrarCambrer = True
            End If
            '
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Function

End Class
