﻿Imports GRLlibreriaClasses

Public Class ConfiguracioGR

    ' Creem la connexió
    Dim connexio As New GRDataClassesDataContext

    Public Function AfegirConfiguracio(ByVal sFromAdreca As String, _
                                       ByVal sFromNom As String, _
                                       ByVal sSignatura As String, _
                                       ByVal sServer As String, _
                                       ByVal sCredencialsNom As String, _
                                       ByVal sCredencialsPwd As String, _
                                       ByVal sToAdreca As String, _
                                       ByRef lPort As Long) As Boolean
        ' De configuració només n'hi haurà una i s'anirà actualitzant. Possiblement, només caldrà posar-la una vegada
        ' Si no n'hi ha, la inserim
        ' Si n'hi ha, la modifiquem
        AfegirConfiguracio = False
        '
        Try
            Dim configuracio = (From conf In connexio.Configuracio Select conf).FirstOrDefault

            If Not configuracio Is Nothing Then
                ' Modifiquem la configuracio
                configuracio.FromAdreca = sFromAdreca
                configuracio.FromNom = sFromNom
                configuracio.Signatura = sSignatura
                configuracio.Server = sServer
                configuracio.CredencialsNom = sCredencialsNom
                configuracio.CredencialsPwd = sCredencialsPwd
                configuracio.ToAdreca = sToAdreca
                configuracio.Port = lPort
            Else
                ' Afegim la configuracio: només passarà la primera vegada
                Dim c As New Configuracio
                c.FromAdreca = sFromAdreca
                c.FromNom = sFromNom
                c.Signatura = sSignatura
                c.Server = sServer
                c.CredencialsNom = sCredencialsNom
                c.CredencialsPwd = sCredencialsPwd
                c.ToAdreca = sToAdreca
                c.Port = lPort
                '
                connexio.Configuracio.InsertOnSubmit(c)

            End If
            connexio.SubmitChanges()
            '
            AfegirConfiguracio = True
            '
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Function

    Public Function ConsultarConfiguracio() As ConfiguracioNET
        Try
            Dim configuracio = (From conf In connexio.Configuracio Select New ConfiguracioNET(conf.idConfiguracio, _
                                                                                              conf.FromAdreca, _
                                                                                              conf.FromNom, _
                                                                                              conf.Signatura, _
                                                                                              conf.Server, _
                                                                                              conf.CredencialsNom, _
                                                                                              conf.CredencialsPwd, _
                                                                                              conf.ToAdreca, _
                                                                                              conf.Port))

            Return configuracio.FirstOrDefault
        Catch ex As Exception
            MsgBox(ex.Message)
            Return Nothing
        End Try
    End Function

End Class
