﻿Imports GRLlibreriaClasses

Public Class RegistratGR
    Inherits PersonaGR
    ' Creem la connexió
    Dim connexio As New GRDataClassesDataContext

    Public Sub AfegirRegistrat(ByVal sNom As String, _
                              ByVal sCognom As String, _
                              ByVal sTelefon As String, _
                              ByVal sCorreuE As String, _
                              ByVal dDataRegistre As Date, _
                              ByVal sConeixement As String, _
                              ByVal sLlengua As String)

        Dim r As New Registrat

        r.nom = sNom
        r.cognom = sCognom
        r.telf = sTelefon
        r.correuE = sCorreuE
        r.dataRegistre = dDataRegistre
        r.coneixement = sConeixement
        r.llengua = sLlengua
        '
        Try
            connexio.Persona.InsertOnSubmit(r)
            connexio.SubmitChanges()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Sub

    Public Function LlistarRegistrats() As List(Of RegistratNET)
        Try
            Return (From c In connexio.Persona Where TypeOf c Is Registrat _
                     Select New RegistratNET(c.idPersona, c.nom, c.cognom, c.telf, c.correuE, c.llengua)).ToList
        Catch ex As Exception
            MsgBox(ex.Message)
            Return New List(Of RegistratNET)
        End Try

    End Function

End Class
