﻿Imports GRLlibreriaClasses

Public Class TaulaGR
    ' Creem la conexiò
    Dim connexio As New GRDataClassesDataContext

    Public Function AfegirTaula(ByVal lNumSeients As Long) As Boolean
        AfegirTaula = False
        Try

            Dim s As New Taula
            s.numSeients = lNumSeients
            '
            connexio.Taula.InsertOnSubmit(s)
            connexio.SubmitChanges()
            AfegirTaula = True
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Function

    Public Function LlistarTaules() As List(Of TaulaNET)
        Try
            Return (From c In connexio.Taula _
                    Order By c.idTaula _
                    Select New TaulaNET(c.idTaula, c.numSeients)).ToList
        Catch ex As Exception
            MsgBox(ex.Message)
            Return New List(Of TaulaNET)
        End Try

    End Function

    Public Function ConsultarTaula(ByVal idTaula As Long) As TaulaNET
        Try
            Dim taula = (From c In connexio.Taula _
                         Where c.idTaula.Equals(idTaula) _
                            Select New TaulaNET(c.idTaula, c.numSeients))
            Return taula.First
        Catch ex As Exception
            MsgBox(ex.Message)
            Return Nothing
        End Try
    End Function

    Public Function EsPotEsborrarTaula(ByVal idTaula As Long) As Boolean
        EsPotEsborrarTaula = False
        Dim taulaComanda = From t In connexio.Comanda _
                           Where t.idTaula.Equals(idTaula) Select t
        If taulaComanda.Count = 0 Then
            EsPotEsborrarTaula = True
        End If
    End Function

    Public Function EsborrarTaula(ByVal idTaula As Long) As Boolean
        EsborrarTaula = False
        Try
            Dim taula = From c In connexio.Taula _
                        Where c.idTaula.Equals(idTaula) Select c
            connexio.Taula.DeleteOnSubmit(taula.First)
            connexio.SubmitChanges()
            '
            EsborrarTaula = True

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Function

    Public Function ModificarTaula(ByVal lIdTaula As Long, ByVal lNumSeients As Long) As Boolean
        ModificarTaula = False
        Try
            ' Buscar la secció vella
            Dim antigaTaula As Taula = (From c In connexio.Taula Where c.idTaula.Equals(lIdTaula) Select c).First
            ' Modificar les noves dades
            antigaTaula.numSeients = lNumSeients
            ' 
            ModificarTaula = True
            '
            connexio.SubmitChanges()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try


    End Function

End Class
