﻿Imports GRLlibreriaClasses
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Data.Linq
Imports System.Data.Linq.Mapping
Imports GRNegoci

Partial Public Class Formulario_web113
    Inherits PaginaBasica

    ' Creem la connexió
    Dim connexio As New GRDataClassesDataContext

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Me.CarregarComanda()
        End If
    End Sub

    Private Sub CarregarComanda()
        '
        If Not Page.Request.QueryString.GetValues("comanda") Is Nothing Then
            If IsNumeric(Page.Request.QueryString.GetValues("comanda").Single) Then
                Me.MostrarDadesComanda(CType(Page.Request.QueryString.GetValues("comanda").Single, Long))
            Else
                MsgBox("Error en la comanda")
                Response.Redirect("comandes.aspx")
            End If
        Else
            MsgBox("Has d'escollir una comanda")
            Response.Redirect("comandes.aspx")
        End If
        ''
    End Sub

    Private Sub MostrarDadesComanda(ByVal iComanda As Long)
        ' Mostrem les dades amb text:
        Dim sText As String = ""
        Dim sSeccio As String = ""
        'SELECT T2.nomCat, T1.nomCat, T0.qtt FROM PlatComanda T0
        'INNER JOIN Plat T1 ON T0.IdPlat = T1.IdPlat
        'INNER JOIN Seccio T2 ON T1.IdSeccio = T2.idSeccio
        'WHERE T0.idComanda = 1
        'GROUP BY T2.idSeccio, T2.ordre, T2.nomCat, T1.nomCat, T0.qtt
        'ORDER BY T2.Ordre
        Dim comandaLIN = (From pc In connexio.PlatComanda _
                  Group Join p In connexio.Plat On pc.idPlat Equals p.idPlat Into pla = Group _
                  From plats In pla.DefaultIfEmpty() _
                  Group Join s In connexio.Seccio On plats.idSeccio Equals s.idSeccio Into secc = Group _
                  From seccions In secc.DefaultIfEmpty _
                  Where pc.idComanda.Equals(iComanda) _
                  Group seccio = seccions.nomCat, plat = plats.nomCat, qtt = pc.qtt, ordre = seccions.ordre By seccions.idSeccio Into grp = Group _
                  From lp In grp.DefaultIfEmpty _
                  Order By lp.ordre _
                  Select lp.seccio, lp.plat, lp.qtt).ToList
        '
        For Each comanda In comandaLIN
            If sSeccio <> comanda.seccio Then
                If sSeccio <> "" Then
                    sText = sText & "</br>"
                End If
                sSeccio = comanda.seccio
                sText = sText & "<strong>" & comanda.seccio & "</strong>" & "</br>"
            End If
            If comanda.qtt > 1 Then
                sText = sText & comanda.qtt & " racions de " & comanda.plat & "</br>"
            Else
                sText = sText & comanda.qtt & " ració de " & comanda.plat & "</br>"
            End If
        Next
        Me.lclComandaText.Text = sText
    End Sub
End Class