﻿Imports System.Security
Imports System.Security.Cryptography
Imports GRLlibreriaClasses

Partial Public Class Formulario_web110
    Inherits PaginaBasica

    Dim connexio As New GRDataClassesDataContext


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.lblResultat.Visible = False
    End Sub

    Protected Sub btnLoginEnviar_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnLoginEnviar.Click
        If Me.txtLoginUser.Text = "" Or _
            Me.txtLoginPassword.Text = "" Or _
            Me.txtLoginPassword.Text = "" Then
            Exit Sub
        End If

        ' Validació de nom d'usuari, contrasenya i si està habilitat o no
        ' Select del nom d'usuari i contrasenya
        Dim camb = (From c In connexio.Persona _
                    Where TypeOf c Is Cambrer _
                    And c.usuari.Equals(Me.txtLoginUser.Text) _
                    And c.contrasenya.Equals(Me.HashString(Me.txtLoginPassword.Text)) _
                    Select c.habilitat, c.idPersona)
        ' Si és correcte redireccionem
        If camb.Count > 0 Then
            If camb.Single.habilitat = True Then
                System.Web.Security.FormsAuthentication.RedirectFromLoginPage(Me.txtLoginUser.Text, False)
                Session("usuari") = camb.Single.idPersona
            Else
                Me.lblResultat.Text = "El teu compte està deshabilitat"
                Me.lblResultat.Visible = True
            End If
        Else
            ' Si no és correcte, mostres missatge
            Me.lblResultat.Text = "Credencials incorrectes"
            Me.lblResultat.Visible = True
        End If
        ''
    End Sub

    Public Function HashString(ByVal str As String) As String
        Dim sha1 As SHA1 = SHA1Managed.Create
        Dim encoding As ASCIIEncoding = New ASCIIEncoding
        Dim stream() As Byte = Nothing
        Dim sb As StringBuilder = New StringBuilder
        stream = sha1.ComputeHash(encoding.GetBytes(str))
        Dim i As Integer = 0
        Do While (i < stream.Length)
            sb.AppendFormat("{0:x2}", stream(i))
            i = (i + 1)
        Loop
        Return sb.ToString
    End Function

End Class