﻿Imports GRLlibreriaClasses
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Data.Linq
Imports System.Data.Linq.Mapping
Imports GRNegoci

Partial Public Class Formulario_web17
    Inherits PaginaBasica

    ' Creem la connexió
    Dim connexio As New GRDataClassesDataContext

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ' Carreguem les dades
        Me.OmplirMenu()
    End Sub

    Private Sub OmplirMenu()
        Try
            Dim menuCAP = (From c In connexio.Menu _
                           Order By c.idMenu _
                           Descending Select c.idMenu, preu = CType(c.preu, Double), c.numComensals, c.iva, c.beguda).FirstOrDefault
            Dim sTotal00 As String
            Dim sTotal01 As String
            Dim sTotal10 As String
            Dim sTotal11 As String
            Dim sText As String = ""
            Dim sSeccio As String = ""
            Dim sPersones As String = ""
            '
            ' Si hi ha menú, el mostrem
            If Not menuCAP Is Nothing Then
                Select Case Session("llengua")
                    Case "ca-ES"
                        Dim platsMenu = (From plat In connexio.Plat _
                                     From platmenu In connexio.PlatMenu Where plat.idPlat = platmenu.idPlat _
                                     Group Join secc In connexio.Seccio On plat.idSeccio Equals secc.idSeccio Into Seccio = Group _
                                     From secc In Seccio.DefaultIfEmpty() _
                                     Where platmenu.idMenu.Equals(menuCAP.idMenu) _
                                     Order By secc.ordre _
                                     Group seccio = secc.nomCat, plat = plat.nomCat By secc.idSeccio Into grp = Group _
                                    From lp In grp.DefaultIfEmpty _
                                    Select nomSeccio = lp.seccio, nomPlat = lp.plat).ToList
                        If menuCAP.numComensals > 1 Then
                            sPersones = " persones."
                        Else
                            sPersones = " persona."
                        End If
                        sTotal00 = "Total menú: " & menuCAP.preu & " Euros (IVA i beguda no inclosos) per un mínim de " & menuCAP.numComensals & sPersones
                        sTotal01 = "Total menú: " & menuCAP.preu & " Euros (IVA no inclòs i beguda inclosa) per un mínim de " & menuCAP.numComensals & sPersones
                        sTotal10 = "Total menú: " & menuCAP.preu & " Euros (IVA inclòs i beguda no inclosa) per un mínim de " & menuCAP.numComensals & sPersones
                        sTotal11 = "Total menú: " & menuCAP.preu & " Euros (IVA i beguda inclosos) per un mínim de " & menuCAP.numComensals & sPersones
                        For Each plat In platsMenu
                            If sSeccio <> plat.nomSeccio Then
                                If sSeccio <> "" Then
                                    sText = sText & "</br>"
                                End If
                                sSeccio = plat.nomSeccio
                                sText = sText & "<strong>" & plat.nomSeccio & "</strong>" & "</br>"
                            End If
                            sText = sText & plat.nomPlat & "</br>"
                        Next
                    Case "es-ES"
                        Dim platsMenu = (From plat In connexio.Plat _
                                     From platmenu In connexio.PlatMenu Where plat.idPlat = platmenu.idPlat _
                                     Group Join secc In connexio.Seccio On plat.idSeccio Equals secc.idSeccio Into Seccio = Group _
                                     From secc In Seccio.DefaultIfEmpty() _
                                     Where platmenu.idMenu.Equals(menuCAP.idMenu) _
                                     Order By secc.ordre _
                                     Select nomSeccio = secc.nomCas, nomPlat = plat.nomCas).ToList
                        If menuCAP.numComensals > 1 Then
                            sPersones = " personas."
                        Else
                            sPersones = " persona."
                        End If
                        sTotal00 = "Total menú: " & menuCAP.preu & " Euros (IVA y bebida no incluidos) por un mínimo de " & menuCAP.numComensals & sPersones
                        sTotal01 = "Total menú: " & menuCAP.preu & " Euros (IVA no incluido y bebida incluida) por un mínimo de " & menuCAP.numComensals & sPersones
                        sTotal10 = "Total menú: " & menuCAP.preu & " Euros (IVA incluido y beguda no incluida) por un mínimo de " & menuCAP.numComensals & sPersones
                        sTotal11 = "Total menú: " & menuCAP.preu & " Euros (IVA y bebida incluidos) por un mínimo de " & menuCAP.numComensals & sPersones
                        For Each plat In platsMenu
                            If sSeccio <> plat.nomSeccio Then
                                If sSeccio <> "" Then
                                    sText = sText & "</br>"
                                End If
                                sSeccio = plat.nomSeccio
                                sText = sText & "<strong>" & plat.nomSeccio & "</strong>" & "</br>"
                            End If
                            sText = sText & plat.nomPlat & "</br>"
                        Next
                    Case "en-GB"
                        Dim platsMenu = (From plat In connexio.Plat _
                                     From platmenu In connexio.PlatMenu Where plat.idPlat = platmenu.idPlat _
                                     Group Join secc In connexio.Seccio On plat.idSeccio Equals secc.idSeccio Into Seccio = Group _
                                     From secc In Seccio.DefaultIfEmpty() _
                                     Where platmenu.idMenu.Equals(menuCAP.idMenu) _
                                     Order By secc.ordre _
                                     Select nomSeccio = secc.nomAng, nomPlat = plat.nomAng).ToList
                        If menuCAP.numComensals > 1 Then
                            sPersones = " persons."
                        Else
                            sPersones = " person."
                        End If
                        sTotal00 = "Total menu: " & menuCAP.preu & " Euros (VAT and drink not included) at least " & menuCAP.numComensals & sPersones
                        sTotal01 = "Total menu: " & menuCAP.preu & " Euros (VAT not included and drink included) at least " & menuCAP.numComensals & sPersones
                        sTotal10 = "Total menu: " & menuCAP.preu & " Euros (VAT included and drink not included) at least " & menuCAP.numComensals & sPersones
                        sTotal11 = "Total menu: " & menuCAP.preu & " Euros (VAT and drink included) at least " & menuCAP.numComensals & sPersones
                        For Each plat In platsMenu
                            If sSeccio <> plat.nomSeccio Then
                                If sSeccio <> "" Then
                                    sText = sText & "</br>"
                                End If
                                sSeccio = plat.nomSeccio
                                sText = sText & "<strong>" & plat.nomSeccio & "</strong>" & "</br>"
                            End If
                            sText = sText & plat.nomPlat & "</br>"
                        Next
                    Case Else
                        Dim platsMenu = (From plat In connexio.Plat _
                                     From platmenu In connexio.PlatMenu Where plat.idPlat = platmenu.idPlat _
                                     Group Join secc In connexio.Seccio On plat.idSeccio Equals secc.idSeccio Into Seccio = Group _
                                     From secc In Seccio.DefaultIfEmpty() _
                                     Where platmenu.idMenu.Equals(menuCAP.idMenu) _
                                     Order By secc.ordre _
                                     Select nomSeccio = secc.nomCat, nomPlat = plat.nomCat).ToList
                        If menuCAP.numComensals > 1 Then
                            sPersones = " persones."
                        Else
                            sPersones = " persona."
                        End If
                        sTotal00 = "Total menú: " & menuCAP.preu & " Euros (IVA i beguda no inclosos) per un mínim de " & menuCAP.numComensals & sPersones
                        sTotal01 = "Total menú: " & menuCAP.preu & " Euros (IVA no inclòs i beguda inclosa) per un mínim de " & menuCAP.numComensals & sPersones
                        sTotal10 = "Total menú: " & menuCAP.preu & " Euros (IVA inclòs i beguda no inclosa) per un mínim de " & menuCAP.numComensals & sPersones
                        sTotal11 = "Total menú: " & menuCAP.preu & " Euros (IVA i beguda inclosos) per un mínim de " & menuCAP.numComensals & sPersones
                        For Each plat In platsMenu
                            If sSeccio <> plat.nomSeccio Then
                                If sSeccio <> "" Then
                                    sText = sText & "</br>"
                                End If
                                sSeccio = plat.nomSeccio
                                sText = sText & "<strong>" & plat.nomSeccio & "</strong>" & "</br>"
                            End If
                            sText = sText & plat.nomPlat & "</br>"
                        Next
                End Select

                '
                Me.lclMenuText.Text = sText
                '
                Select Case menuCAP.iva
                    Case False
                        Select Case menuCAP.beguda
                            Case False
                                Me.lblTotal.Text = sTotal00
                            Case True
                                Me.lblTotal.Text = sTotal01
                        End Select
                    Case True
                        Select Case menuCAP.beguda
                            Case False
                                Me.lblTotal.Text = sTotal10
                            Case True
                                Me.lblTotal.Text = sTotal11
                        End Select
                End Select
            End If
            '
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

End Class